Download it now!
Bug 58364 - 'Align' Toolbar should have a more specific name
Summary: 'Align' Toolbar should have a more specific name
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86 (IA32) Windows (All)
: medium enhancement
Assignee: Joel Madero
URL:
Whiteboard: target:4.1.0
Keywords: difficultyBeginner, needsDevEval, topicUI
Depends on:
Blocks:
 
Reported: 2012-12-16 13:46 UTC by dhirenjani
Modified: 2015-12-16 05:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test document (9.75 KB, application/vnd.oasis.opendocument.text)
2012-12-16 13:46 UTC, dhirenjani
Details
Screenshot of error (80.30 KB, image/jpeg)
2012-12-16 13:48 UTC, dhirenjani
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dhirenjani 2012-12-16 13:46:41 UTC
Created attachment 71583 [details]
Test document

1. I opened writer.
Selected view->toolbars->align
All buttons are greyed out

2. I selected text and used the "formatting" toolbar to align text, and it works as expected.

3. I created a table and tried to align text using formatting toolbar, and it works as expected

4. For text within table, the align toolbar is greyed out

Attached image of toolbar, and test document
Comment 1 dhirenjani 2012-12-16 13:48:24 UTC
Created attachment 71584 [details]
Screenshot of error
Comment 2 Rainer Bielefeld Retired 2012-12-16 15:48:07 UTC
NOT reproducible with parallel installation of  "LOdev  4.0.0.0.beta1   -  GERMAN UI / German Locale  [Build ID: 87906242e87d3ddb2ba9827818f2d1416d80cc7)]"  {tinderbox: @6, pull time 2012-12-06} on German WIN7 Home Premium (64bit) with separate /4 User Profile for Master Branch

User Error, so INVALID

@dhirenjani@hotmail.com 
When you enable menu 'Tools -> Options -> LibO -> General - Extended tipps' you will see in a tooltip for the icons that those functions are for objects, not for text. Insert a bullet from the gallery into your text document, click it and wath the align toolbar, it will become active as expected.
Comment 3 dhirenjani 2012-12-16 16:13:13 UTC
Rainer, you are correct, that toolbar works with bullet from gallery.

1. Is it possible to rename the toolbar as "Align Objects"?
2.The Object toolbar has the same functionality, so is this redundant?
Comment 4 Rainer Bielefeld Retired 2012-12-16 17:15:08 UTC
@dhirenjani@hotmail.com
Very good questions, I can't answer ad hoc
Comment 5 Rainer Bielefeld Retired 2013-01-13 08:21:07 UTC
'Align' Toolbar name should be changed to 'Align Objects' to avoid confusion with text alignment.
Comment 6 Not Assigned 2013-01-16 12:34:57 UTC
Joel Madero committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f87097e9c8bf5fddff9a92fb887559f10ab9aae9

fdo#58364 Change Align in View->Toolbar to Align Objects



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-16 05:18:43 UTC
Migrating Whiteboard tags to Keywords: (ProposedEasyHack -> needsDevEval,  DifficultyBeginner  TopicUI )
[NinjaEdit]